Apply by doing:
	cd /usr/src
	patch -p0 < 005_in6.patch

Then build and install a new kernel.

Index: sys/netinet6/in6.c
===================================================================
RCS file: /cvs/src/sys/netinet6/in6.c,v
retrieving revision 1.101
retrieving revision 1.101.2.1
diff -u -p -r1.101 -r1.101.2.1
--- sys/netinet6/in6.c	30 Nov 2012 13:48:12 -0000	1.101
+++ sys/netinet6/in6.c	30 May 2013 20:41:24 -0000	1.101.2.1
@@ -428,6 +428,12 @@ in6_control(struct socket *so, u_long cm
 	case SIOCGIFSTAT_ICMP6:
 		sa6 = &ifr->ifr_addr;
 		break;
+	case SIOCSIFADDR:
+		/*
+		 * Do not pass this ioctl to driver handler since it is not
+		 * properly setup. Instead just error out.
+		 */
+		return (EOPNOTSUPP);
 	default:
 		sa6 = NULL;
 		break;
